Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Signals | Public Member Functions | List of all members
RPCInterface Class Reference

Interface to call functions across plugins. More...

`#include <OpenFlipper/BasePlugin/RPCInterface.hh>`

Inheritance diagram for RPCInterface:

## Signals
virtual void | pluginExists (QString _pluginName, bool &_exists)

## Public Member Functions
virtual | ~RPCInterface ()
| Destructor.
virtual void | functionExists (QString _pluginName, QString _functionName, bool &_exists)

## Detailed Description

Interface to call functions across plugins.

Detailed description
Interface for all Plugins which do remote procedure calls ( and cross plugin calls).
The functions provided in the interface are only used to verify that certain plugins or functions are available. The actual calls are in the RPCWrappers.hh file.

Definition at line 71 of file RPCInterface.hh.

## Member Function Documentation

virtual void RPCInterface::functionExists | ( | QString | _pluginName,
|  | QString | _functionName,
|  | bool & | _exists
| ) |  |
| inline virtual

Check if a plugin exists and provides the given function

Parameters

  _pluginName | Name of the Plugin (has to be the clean version .. no Spaces etc)
  _functionName | requested function
  _exists | found or not

Definition at line 93 of file RPCInterface.hh.

virtual void RPCInterface::pluginExists | ( | QString | _pluginName,
|  | bool & | _exists
| ) |  |
| inline virtual signal

Check if the plugin exists in the current Environment

Parameters

  _pluginName | Name of the Plugin (has to be the clean version .. no Spaces etc)
  _exists | found or not

Definition at line 85 of file RPCInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/RPCInterface.hh